Commit 89fa904b authored by Luca Boccassi's avatar Luca Boccassi

Check for libtoolize instead of libtool on Linux

autogen.sh has a check for the libtool binary as a mean to
check if libtool is available. But distributions like Debian and
Ubuntu are splitting the libtool package, and the libtool binary is now
in a separate package. What autoconf actually need is not the libtool
binary, but libtoolize and other macro files. So check for libtoolize
instead. On the other hand, OSX only ships libtool, not libtoolize,
and uses a pre-generated libtool script to build. So check for
libtoolize first and then for libtool, and fail if neither can be
found.
parent a656b399
...@@ -20,10 +20,14 @@ ...@@ -20,10 +20,14 @@
# Script to generate all required files from fresh git checkout. # Script to generate all required files from fresh git checkout.
command -v libtool >/dev/null 2>&1 # Debian and Ubuntu do not shipt libtool anymore, but OSX does not ship libtoolize.
command -v libtoolize >/dev/null 2>&1
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2 command -v libtool >/dev/null 2>&1
exit 1 if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
exit 1
fi
fi fi
command -v autoreconf >/dev/null 2>&1 command -v autoreconf >/dev/null 2>&1
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment